Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVBoxLayout Class Reference

The QVBoxLayout class lines up widgets vertically. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QVBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )
- QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
- QVBoxLayout ( int spacing = -1, const char * name = 0 )
- ~QVBoxLayout ()

## Detailed Description

The QVBoxLayout class lines up widgets vertically.

This class is used to construct vertical box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

            QBoxLayout * l = new QVBoxLayout( widget );
            l->addWidget( aWidget );
            l->addWidget( anotherWidget );

See also QHBoxLayout, QGridLayout, the Layout overview, Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### QVBoxLayout::QVBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )

Constructs a new top-level vertical box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### QVBoxLayout::QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().

### QVBoxLayout::QVBoxLayout ( int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().

### QVBoxLayout::~QVBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.